uk.gov.hmrc.githubclient

# Log

###
Related Doc: package githubclient

#### object Log extends LoggerLike

Linear Supertypes
LoggerLike, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Log
2. LoggerLike
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def debug(message: ⇒ String, error: ⇒ Throwable)(implicit mc: MarkerContext): Unit

   Definition Classes
     LoggerLike

7. #### def debug(message: ⇒ String)(implicit mc: MarkerContext): Unit

   Definition Classes
     LoggerLike

8. #### def enabled: Boolean

   Definition Classes
     LoggerLike
   Annotations
     @inline()

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def error(message: ⇒ String, error: ⇒ Throwable)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

12. #### def error(message: ⇒ String)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### def info(message: ⇒ String, error: ⇒ Throwable)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

17. #### def info(message: ⇒ String)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

18. #### def isDebugEnabled(implicit mc: MarkerContext): Boolean

    Definition Classes
      LoggerLike

19. #### def isErrorEnabled(implicit mc: MarkerContext): Boolean

    Definition Classes
      LoggerLike

20. #### def isInfoEnabled(implicit mc: MarkerContext): Boolean

    Definition Classes
      LoggerLike

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def isTraceEnabled(implicit mc: MarkerContext): Boolean

    Definition Classes
      LoggerLike

23. #### def isWarnEnabled(implicit mc: MarkerContext): Boolean

    Definition Classes
      LoggerLike

24. #### val logger: Logger

    Definition Classes
      Log → LoggerLike

25. #### val loggerName: String

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def trace(message: ⇒ String, error: ⇒ Throwable)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

32. #### def trace(message: ⇒ String)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

33. #### lazy val underlyingLogger: Logger

    Definition Classes
      LoggerLike

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def warn(message: ⇒ String, error: ⇒ Throwable)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

38. #### def warn(message: ⇒ String)(implicit mc: MarkerContext): Unit

    Definition Classes
      LoggerLike

### Inherited from LoggerLike

### Inherited from AnyRef

### Inherited from Any

### Ungrouped